Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEnSightGoldReader Class Reference

`#include <vtkEnSightGoldReader.h>`

Inheritance diagram for vtkEnSightGoldReader:

[legend]
Collaboration diagram for vtkEnSightGoldReader:

[legend]
List of all members.

## Detailed Description

class to read EnSight Gold files

Date:
  2002/08/13 17:14:28

Revision:
  1.15

vtkEnSightGoldReader is a class to read EnSight Gold files into vtk. Because the different parts of the EnSight data can be of various data types, this reader produces multiple outputs, one per part in the input file. All variable information is being stored in field data. The descriptions listed in the case file are used as the array names in the field data. For complex vector variables, the description is appended with _r (for the array of real values) and _i (for the array if imaginary values). Complex scalar variables are stored as a single array with 2 components, real and imaginary, listed in that order.

Warning:
  You must manually call Update on this reader and then connect the rest of the pipeline because (due to the nature of the file format) it is not possible to know ahead of time how many outputs you will have or what types they will be. This reader can only handle static EnSight datasets (both static geometry and variables).

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (96%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkEnSightGoldReader.h)`
  - .`cxx` (`/IO/vtkEnSightGoldReader.cxx)`

Definition at line 56 of file vtkEnSightGoldReader.h.

## Public Types
typedef vtkEnSightReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkEnSightGoldReader * | New ()
int | IsTypeOf (const char *type)
vtkEnSightGoldReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEnSightGoldReader ()
| ~vtkEnSightGoldReader ()
virtual int | ReadGeometryFile (char *fileName, int timeStep)
virtual int | ReadMeasuredGeometryFile (char *fileName, int timeStep)
virtual int | CreateUnstructuredGridOutput (int partId, char line[256])
virtual int | CreateStructuredGridOutput (int partId, char line[256])
int | CreateRectilinearGridOutput (int partId, char line[256])
int | CreateImageDataOutput (int partId, char line[256])
virtual int | ReadScalarsPerNode (char *fileName, char *description, int timeStep, int measured=0, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerNode (char *fileName, char *description, int timeStep, int measured=0)
virtual int | ReadTensorsPerNode (char *fileName, char *description, int timeStep)
virtual int | ReadScalarsPerElement (char *fileName, char *description, int timeStep, int numberOfComponents=1, int component=0)
virtual int | ReadVectorsPerElement (char *fileName, char *description, int timeStep)
virtual int | ReadTensorsPerElement (char *fileName, char *description, int timeStep)
virtual void | SetGeometryFileName (const char *)
virtual char * | GetGeometryFileName ()
virtual void | SetMeasuredFileName (const char *)
virtual char * | GetMeasuredFileName ()
virtual void | SetMatchFileName (const char *)
virtual char * | GetMatchFileName ()

## Member Typedef Documentation

typedef vtkEnSightReader vtkEnSightGoldReader::Superclass

| Reimplemented from vtkEnSightReader. Definition at line 60 of file vtkEnSightGoldReader.h.

## Constructor & Destructor Documentation

vtkEnSightGoldReader::vtkEnSightGoldReader | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkEnSightGoldReader.h.

vtkEnSightGoldReader::~vtkEnSightGoldReader | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkEnSightGoldReader.h.

## Member Function Documentation

vtkEnSightGoldReader* vtkEnSightGoldReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkGenericEnSightReader.

virtual const char* vtkEnSightGoldReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkEnSightReader.

int vtkEnSightGoldReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

virtual int vtkEnSightGoldReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkEnSightReader.

vtkEnSightGoldReader* vtkEnSightGoldReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkEnSightReader.

virtual void vtkEnSightGoldReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadMeasuredGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read the measured geometry file. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadScalarsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per node for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one component in the data array, it is assumed that 0 is the first component added. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadVectorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0
| ) | `[protected, virtual]`

| Read vectors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadTensorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadScalarsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, virtual]`

| Read scalars per element for this dataset. If an error occurred, 0 is returned; otherwise 1. If there will be more than one componenet in the data array, it is assumed that 0 is the first component added. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadVectorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read vectors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::ReadTensorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, virtual]`

| Read tensors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::CreateUnstructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, virtual]`

| Read an unstructured part (partId) from the geometry file and create a vtkUnstructuredGrid output. Return 0 if EOF reached. Return -1 if an error occurred. Implements vtkEnSightReader.

virtual int vtkEnSightGoldReader::CreateStructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, virtual]`

| Read a structured part from the geometry file and create a vtkStructuredGrid output. Return 0 if EOF reached. Implements vtkEnSightReader.

int vtkEnSightGoldReader::CreateRectilinearGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected]`

| Read a structured part from the geometry file and create a vtkRectilinearGrid output. Return 0 if EOF reached.

int vtkEnSightGoldReader::CreateImageDataOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected]`

| Read a structured part from the geometry file and create a vtkImageData output. Return 0 if EOF reached.

virtual void vtkEnSightGoldReader::SetGeometryFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Model file name. Reimplemented from vtkEnSightReader.

virtual char* vtkEnSightGoldReader::GetGeometryFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Model file name. Reimplemented from vtkEnSightReader.

virtual void vtkEnSightGoldReader::SetMeasuredFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Measured file name. Reimplemented from vtkEnSightReader.

virtual char* vtkEnSightGoldReader::GetMeasuredFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Measured file name. Reimplemented from vtkEnSightReader.

virtual void vtkEnSightGoldReader::SetMatchFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Match file name. Reimplemented from vtkEnSightReader.

virtual char* vtkEnSightGoldReader::GetMatchFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Match file name. Reimplemented from vtkEnSightReader.

The documentation for this class was generated from the following file:

- IO/vtkEnSightGoldReader.h